<?php
/**
* @version      $Id: helper.php v 1.1
* @package      Currency Exchange Informer
* @copyright    Copyright (C) 2009 FalsinSoft. All rights reserved.
* @license      GNU/GPL
* @website      http://www.falsinsoft.co.nr
* @email        falsinsoft@gmail.com
* 
*/

defined('_JEXEC') or die('Restricted access');

class modCurrencyExchangeInformerHelper
{
    function getCurrencyExchange($params, $id)
    {
        $cei_params->currency_base      = $params->get('currency_base');
        $cei_params->currency_converted = $params->get('currency_converted');
		$cei_params->id 				= $id;
       
        $reload_time = intval($params->get('reload_time', 15));
		
		if($reload_time <= 0) $reload_time = 15;
		
		$session =& JFactory::getSession();
		
		$exchange_rate = floatval($session->get('CEI_'.$cei_params->currency_base.'_'.$cei_params->currency_converted, 0));
		$loading_time  = intval($session->get('CEI_LOADING_TIME', 0));
		
		if($exchange_rate < 0) $exchange_rate = 0;
		if($loading_time < 0)  $loading_time  = 0;
				
		if((time() - $loading_time) < ($reload_time * 60))
		{
			$cei_params->exchange_rate = $exchange_rate;
		}
		else
		{
			$session->set('CEI_'.$cei_params->currency_base.'_'.$cei_params->currency_converted, 0);
			$session->set('CEI_LOADING_TIME', 0);
			$cei_params->exchange_rate = 0;
		}
		
	    return $cei_params;
    }    
}

?>

